FreeForAll is a strategy where only one round is played, in which every player plays against every other player in the tournament.

The winner will be the player that has won the most games.

In case of a tie the tied players will play against each other once more.

### Hierarchy

- FreeForAllMatchmaker

### Implements

- IMatchmaker

## Index

### Constructors

- constructor

### Properties

- events
- finished
- index
- maxMatches
- options
- players
- tournamentStats

### Methods

- getRanking
- getRemainingMatches
- isFinished
- updateStats

## Constructors

### constructor

- new FreeForAllMatchmaker(players: Player[], options: IMatchOptions, events: ITournamentEvents): FreeForAllMatchmaker

- - Defined in tournament/matchmaker/FreeForAllMatchmaker.ts:23

  #### Parameters

  - ##### players: Player[]

  - ##### options: IMatchOptions

  - ##### events: ITournamentEvents

  #### Returns FreeForAllMatchmaker

## Properties

### Private events

events: ITournamentEvents

- Defined in tournament/matchmaker/FreeForAllMatchmaker.ts:25

### Private finished

finished: boolean

- Defined in tournament/matchmaker/FreeForAllMatchmaker.ts:21

### Private index

index: number = 0

- Defined in tournament/matchmaker/FreeForAllMatchmaker.ts:23

### Private maxMatches

maxMatches: number

- Defined in tournament/matchmaker/FreeForAllMatchmaker.ts:20

### Private options

options: IMatchOptions

- Defined in tournament/matchmaker/FreeForAllMatchmaker.ts:25

### Private players

players: Player[]

- Defined in tournament/matchmaker/FreeForAllMatchmaker.ts:25

### Private tournamentStats

tournamentStats: ITournamentStats

- Defined in tournament/matchmaker/FreeForAllMatchmaker.ts:22

## Methods

### getRanking

- getRanking(): string[]

- Implementation of IMatchmaker.getRanking

  - Defined in tournament/matchmaker/FreeForAllMatchmaker.ts:70

  #### Returns string[]

### getRemainingMatches

- getRemainingMatches(): Match[]

- Implementation of IMatchmaker.getRemainingMatches

  - Defined in tournament/matchmaker/FreeForAllMatchmaker.ts:36

  #### Returns Match[]

### isFinished

- isFinished(): boolean

- Implementation of IMatchmaker.isFinished

  - Defined in tournament/matchmaker/FreeForAllMatchmaker.ts:28

  #### Returns boolean

### updateStats

- updateStats(tournamentStats: ITournamentStats): void

- Implementation of IMatchmaker.updateStats

  - Defined in tournament/matchmaker/FreeForAllMatchmaker.ts:32

  #### Parameters

  - ##### tournamentStats: ITournamentStats

  #### Returns void

Generated using TypeDoc